[pkg-ntp-maintainers] Bug#541247: ntp: missing lockfile-progs dependency

Mark Eichin eichin at metacarta.com
Wed Aug 12 18:09:56 UTC 2009

Package: ntp
Version: 1:4.2.4p4+dfsg-8lenny2
Severity: normal

> ntp (1:4.2.4p4+dfsg-4) unstable; urgency=low
>  * Also use lockfile-progs to ensure that ntpd does not start while
>    ntpdate.ifup is running (closes: #436029)
> -- Peter Eisentraut <petere at debian.org>  Tue, 29 Apr 2008 11:19:54 +0200

Now, I do see that ntpdate "Recommends: lockfile-progs" - I just don't
think that's strong enough, it's too easy to install both ntp and
ntpdate without them.  Alternatively, any documentation at all that
you *must* grab lockfile-progs would help (there's nothing in the
docstring, README.Debian, or NEWS.Debian...)

(If you're wondering why we install both: standard appliance install
with varying end-user choices, where they might enable ntp or not, but
if they don't they might still run ntpdate once to set the the
clock...  obviously we've also worked around it by installing
lockfile-progs, now, but only because we ran into a system where ntpd
was not running at all, because ntpdate collided since lockfile-progs
wasn't present.)

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages ntp depends on:
ii  adduser                 3.110            add and remove users and groups
ii  libc6                   2.7-18           GNU C Library: Shared libraries
ii  libcap1                 1:1.10-14        support for getting/setting POSIX.
ii  libedit2                2.11~20080614-1  BSD editline and history libraries
ii  libncurses5             5.7+20081213-1   shared libraries for terminal hand
ii  libssl0.9.8             0.9.8g-15+lenny1 SSL shared libraries
ii  lsb-base                3.2-20           Linux Standard Base 3.2 init scrip
ii  netbase                 4.34             Basic TCP/IP networking system

Versions of packages ntp recommends:
ii  perl                          5.10.0-19  Larry Wall's Practical Extraction 

Versions of packages ntp suggests:
pn  ntp-doc                       <none>     (no description available)

-- no debconf information

More information about the pkg-ntp-maintainers mailing list